Create Invoice: Rent Manager
https://api.propexo.com/v1/invoices/rentmanager/| Method |
|---|
| POST /Bills |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the location
The date of issuance for the invoice
Show 2 variants
The due date associated with the invoice
Show 2 variants
The post date for the invoice.
Show 2 variants
The total amount of the invoice
Possible values: >= 0
The invoice or reference number that the vendor assigned to the service request
Notes associated with the invoice
invoice_items object[]required
Line items for the invoice. Each item represents a detail line on the bill in Rent Manager.
Possible values: >= 1
The amount of the invoice item, in cents
Possible values: >= 0
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
Notes associated with the invoice item
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the location
Show 2 variants
Show 2 variants
Show 2 variants
The total amount of the invoice
Possible values: >= 0
The invoice or reference number that the vendor assigned to the service request
Notes associated with the invoice
invoice_items object[]required
The amount of the invoice item, in cents
Possible values: >= 0
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
Notes associated with the invoice item
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"post_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_items": [
{
"amount_in_cents": 0,
"property_id": "string",
"financial_account_id": "string",
"notes": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"post_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_number": "string",
"notes": "string",
"invoice_items": [
{
"amount_in_cents": 0,
"property_id": "string",
"financial_account_id": "string",
"notes": "string"
}
]
}
}